picplanner_sources = [
  'main.c',
  'calculations.c',
  'webconnection.c',
  'handler.c',
  'plot.c',
]

picplanner_deps = [
  dependency('gtk+-3.0', version: '>= 3.22.20'),
  dependency('libhandy-1', version: '>= 0.0.9'),
  dependency('libcurl'),
  dependency('json-c'),
  dependency('epoxy'),
  dependency('cglm'),
  math
]

gnome = import('gnome')

picplanner_sources += gnome.compile_resources('picplanner-resources','picplanner.gresource.xml',c_name: 'picplanner')

executable('picplanner', picplanner_sources,
  dependencies: picplanner_deps,
  install: true,
)
